# -*- coding: utf-8 -*-

import os  
import bottle
import time

bottle.debug(True)

@bottle.route('/')
def index():
    template_file = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'interface.html')
    return bottle.template(template_file,
                           title="Briefing Tools",
                           default_image="/images/default.jpg",
                           admin=True)
  
@bottle.route('/:dirname/:filename')
def render_image(dirname, filename):
    bottle.send_file(filename, root=os.path.join(os.path.abspath(os.path.dirname(__file__)), dirname))
    
@bottle.route('/getdata', method='post')
def get_data():
    global files_list

    if bottle.request.POST['action']=='refresh':
        for root, dirs, files in os.walk(os.path.join(os.path.abspath(os.path.dirname(__file__)), 'ftp')):
            for filename in files:
                if filename not in files_list:
                    mtime_before_sleep = os.path.getmtime(os.path.join(root, filename))
                    time.sleep(0.5)
                    mtime_after_sleep = os.path.getmtime(os.path.join(root, filename))
                    
                    if mtime_after_sleep == mtime_before_sleep:
                        files_list.append(filename)

    for filename in files_list:
        if not os.path.exists(os.path.join(os.path.abspath(os.path.dirname(__file__)), 'ftp', filename)):
            files_list.remove(filename)            
    
    if len(files_list) > 0:    
        return {"status": "OK",
                "last_file": files_list[-1]}
    else:
        return {"status": "NO_IMAGE"}
                
          
def main():
    global files_list
    files_list = []
    bottle.run(host='localhost', port=8080)
    
if __name__== '__main__' :
    main()
